<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">iPcTrigger Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="structiPcTrigger.html">iPcTrigger</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a5d0ec17cc4948f7bdcf668fcb52b9eb1">AddRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#a4f70fa9b1204bf5c78d6a53a23c87361">AddTriggerListener</a>(iPcTriggerListener *listener)=0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#a1f82e15788fa2aa5ce893c6418c37fe2">Check</a>()=0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a3a44d46ca155e6ab0c0179db01011bb0">DecRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#a2d4334fb6ed10595d46cbe486338e1ab">EnableMessagesToOthers</a>(bool en)=0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#a42885ee0543f0407d51315dae06a517a">EnableMessagesToSelf</a>(bool en)=0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#a280c3ccf877e9efabd2136694d37b05d">EnableMonitorInvisible</a>(bool en)=0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#a95ed2e9e6c0dcb5f5f35e52bbe18693a">EnableTrigger</a>(bool en)=0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#ae271544b2adc7f4189605032358189cb">GetEntitiesInTrigger</a>() const =0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#aeebf94ff535afffc22fcbfe869b70c30">GetInterfaceMetadata</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#ac75e33775bb8a61530054ac0e0cc26ff">GetMonitorClass</a>() const =0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#a9fd53da08ca23c7827609b3cd9a508d3">GetMonitorEntity</a>() const =0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a74696c1b99c7161216ee26161944adfd">GetRefCount</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#adb7d7e25af17f329768d384f7d694b90">GetTriggerType</a>() const =0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#a902922920c0c8bad25affb56e50c8497">GetUpdateDelay</a>() const =0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#ac55dc58a9e74f414090fda644a78c59d">GetUpdateJitter</a>() const =0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#ab9d51f8f05ad0000bfe17a6df81400cb">HasCheckingOnInvisibleEntities</a>() const =0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#ac29a1467ed88c44d19252ea508dc6876">HasFollowEntity</a>() const =0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#ac4f9969b574bff607618792ce8baeb0b">HasStrictChecking</a>() const =0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a426a2763702fbbc33a213f849042284a">IncRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#a5b730c845446ac29be6c07942f601710">IsEnabled</a>() const =0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#ab106374cd9edf9bc0252c4bd349f021c">MonitorClass</a>(const char *classname)=0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#acebddd45942c6805f6af3795c7c4a04e">MonitorEntity</a>(const char *entityname)=0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a2adc74eb0286a65f2310f221be4ddded">QueryInterface</a>(scfInterfaceID iInterfaceID, int iVersion)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a0292fc77bd2b4f8ff5ff25e9540417e0">RemoveRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#a39e6b01129b753fa96f620e116508e12">RemoveTriggerListener</a>(iPcTriggerListener *listener)=0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#a096868ae591d261cd9fd97d9bc6f06f0">SetFollowEntity</a>(bool c)=0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#ac2b7070f0f9432a49f53b5b91b8132ab">SetMonitorDelay</a>(csTicks delay, csTicks jitter)=0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#a1c3043b5e682f11b3f8c3abcbee13e98">SetStrictChecking</a>(bool c)=0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#ac0d4e3a1e2a9e3715fd0c1b1721a5d7c">SetupTriggerAboveMesh</a>(iPcMesh *mesh, float maxdistance)=0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#a42e94ff5734555b8237e371d9585ec81">SetupTriggerBeam</a>(iSector *sector, const csVector3 &amp;start, const csVector3 &amp;end)=0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#a76b21a885847ce2afc4ba07386c99111">SetupTriggerBox</a>(iSector *sector, const csBox3 &amp;box)=0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#ad1901fe0820f039d07c27cbf90135335">SetupTriggerSphere</a>(iSector *sector, const csVector3 &amp;center, float radius)=0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcTrigger.html#a1dbbf07ddd5cc93ff15a82956c90e42d">SetupTriggerSphere</a>(iSector *sector, const char *center_name, float radius)=0</td><td><a class="el" href="structiPcTrigger.html">iPcTrigger</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a64186fd7973d2ef0bc16013e302b6ea3">~iBase</a>()</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [protected, virtual]</code></td></tr>
</table></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
